Bug 171768 - [UPDATE] devel/libffi: update to 3.0.11
[UPDATE] devel/libffi: update to 3.0.11
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jung-uk Kim
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 10:30 UTC by takefu
Modified: 2013-01-29 00:40 UTC (History)
1 user (show)

See Also:


Attachments
libffi-3.0.11.patch (4.75 KB, patch)
2012-10-22 05:15 UTC, takefu
no flags Details | Diff
libffi-3.0.11.patch (6.75 KB, patch)
2012-12-02 12:11 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2012-09-19 10:30:13 UTC
 - Update to 3.0.11
 Port maintainer (bkoenig@alpha-tierchen.de) is cc'd.
> How-To-Repeat:
> Fix:
 --- devel/libffi.patch begins here ---
 diff -ruN /usr/ports/devel/libffi/Makefile devel/libffi/Makefile
 --- /usr/ports/devel/libffi/Makefile	2011-11-10 00:25:30.000000000 +0900
 +++ devel/libffi/Makefile	2012-09-19 18:23:36.000000000 +0900
 @@ -6,7 +6,7 @@
  #
 
  PORTNAME=	libffi
 -PORTVERSION=	3.0.9
 +PORTVERSION=	3.0.11
  CATEGORIES=	devel
  MASTER_SITES=	ftp://sourceware.org/pub/libffi/
 
 @@ -14,6 +14,7 @@
  COMMENT=	Foreign Function Interface
 
  GNU_CONFIGURE=	yes
 +USE_GCC=	4.2+
  USE_LDCONFIG=	yes
  USE_GNOME=	gnomehack pkgconfig
  PLIST_SUB=	PORTVERSION=${PORTVERSION}
 diff -ruN /usr/ports/devel/libffi/distinfo devel/libffi/distinfo
 --- /usr/ports/devel/libffi/distinfo	2011-07-03 23:56:07.000000000 +0900
 +++ devel/libffi/distinfo	2012-09-19 16:50:56.000000000 +0900
 @@ -1,2 +1,2 @@
 -SHA256 (libffi-3.0.9.tar.gz) = 589d25152318bc780cd8919b14670793f4971d9838dab46ed38c32b3ee92c452
 -SIZE (libffi-3.0.9.tar.gz) = 731719
 +SHA256 (libffi-3.0.11.tar.gz) = 70bfb01356360089aa97d3e71e3edf05d195599fd822e922e50d46a0055a6283
 +SIZE (libffi-3.0.11.tar.gz) = 794220
 diff -ruN /usr/ports/devel/libffi/files/patch-configure devel/libffi/files/patch-configure
 --- /usr/ports/devel/libffi/files/patch-configure	2010-12-15 04:33:15.000000000 +0900
 +++ devel/libffi/files/patch-configure	1970-01-01 09:00:00.000000000 +0900
 @@ -1,21 +0,0 @@
 ---- configure.orig	2010-11-22 12:53:14.000000000 +0100
 -+++ configure	2010-11-22 12:53:26.000000000 +0100
 -@@ -12231,6 +12231,9 @@
 -   powerpc-*-freebsd*)
 - 	TARGET=POWERPC_FREEBSD; TARGETDIR=powerpc
 - 	;;
 -+  powerpc64-*-freebsd*)
 -+        TARGET=POWERPC; TARGETDIR=powerpc
 -+        ;;
 -   powerpc*-*-rtems*)
 - 	TARGET=POWERPC; TARGETDIR=powerpc
 - 	;;
 -@@ -14484,7 +14487,7 @@
 -
 - 	libffi_cv_as_x86_pcrel=yes
 - 	echo '.text; foo: nop; .data; .long foo-.; .text' > conftest.s
 --	if $CC $CFLAGS -c conftest.s 2>&1 | grep -i warning > /dev/null; then
 -+	if $CC -c conftest.s 2>&1 | grep -i warning > /dev/null; then
 - 	    libffi_cv_as_x86_pcrel=no
 - 	fi
 -
 diff -ruN /usr/ports/devel/libffi/files/patch-src_arm_sysv.S devel/libffi/files/patch-src_arm_sysv.S
 --- /usr/ports/devel/libffi/files/patch-src_arm_sysv.S	2008-04-04 21:59:12.000000000 +0900
 +++ devel/libffi/files/patch-src_arm_sysv.S	1970-01-01 09:00:00.000000000 +0900
 @@ -1,73 +0,0 @@
 ---- src/arm/sysv.S.orig	2008-02-15 02:15:41.000000000 +0100
 -+++ src/arm/sysv.S	2008-04-01 13:25:02.000000000 +0200
 -@@ -83,14 +83,6 @@
 - # define call_reg(x)	mov	lr, pc ; mov	pc, x
 - #endif
 -
 --/* Conditionally compile unwinder directives.  */
 --#ifdef __ARM_EABI__
 --#define UNWIND
 --#else
 --#define UNWIND @
 --#endif	
 --
 --	
 - #if defined(__thumb__) && !defined(__THUMB_INTERWORK__)
 - .macro	ARM_FUNC_START name
 - 	.text
 -@@ -101,7 +93,6 @@
 - 	bx	pc
 - 	nop
 - 	.arm
 --	UNWIND .fnstart
 - /* A hook to tell gdb that we've switched to ARM mode.  Also used to call
 -    directly from other local arm routines.  */
 - _L__\name:		
 -@@ -112,7 +103,6 @@
 - 	.align 0
 - 	.arm
 - 	ENTRY(\name)
 --	UNWIND .fnstart
 - .endm
 - #endif
 -
 -@@ -145,11 +135,8 @@
 - ARM_FUNC_START ffi_call_SYSV
 - 	@ Save registers
 -         stmfd	sp!, {r0-r3, fp, lr}
 --	UNWIND .save	{r0-r3, fp, lr}
 - 	mov	fp, sp
 -
 --	UNWIND .setfp	fp, sp
 --
 - 	@ Make room for all of the new args.
 - 	sub	sp, fp, r2
 -
 -@@ -219,7 +206,6 @@
 - 	RETLDM	"r0-r3,fp"
 -
 - .ffi_call_SYSV_end:
 --	UNWIND .fnend
 -         .size    CNAME(ffi_call_SYSV),.ffi_call_SYSV_end-CNAME(ffi_call_SYSV)
 -
 - /*
 -@@ -231,12 +217,9 @@
 - */
 -
 - ARM_FUNC_START ffi_closure_SYSV
 --	UNWIND .pad #16
 - 	add	ip, sp, #16
 - 	stmfd	sp!, {ip, lr}
 --	UNWIND .save	{r0, lr}
 - 	add	r2, sp, #8
 --	.pad #16
 - 	sub	sp, sp, #16
 - 	str	sp, [sp, #8]
 - 	add	r1, sp, #8
 -@@ -291,6 +274,5 @@
 - #endif
 -
 - .ffi_closure_SYSV_end:
 --	UNWIND .fnend
 -         .size    CNAME(ffi_closure_SYSV),.ffi_closure_SYSV_end-CNAME(ffi_closure_SYSV)
 -
 diff -ruN /usr/ports/devel/libffi/pkg-plist devel/libffi/pkg-plist
 --- /usr/ports/devel/libffi/pkg-plist	2008-10-22 16:31:06.000000000 +0900
 +++ devel/libffi/pkg-plist	2012-09-19 16:53:39.000000000 +0900
 @@ -5,7 +5,7 @@
  lib/libffi.a
  lib/libffi.la
  lib/libffi.so
 -lib/libffi.so.5
 +lib/libffi.so.6
  libdata/pkgconfig/libffi.pc
  @dirrm lib/libffi-%%PORTVERSION%%/include
  @dirrm lib/libffi-%%PORTVERSION%%
 --- devel/libffi.patch ends here ---
Comment 1 bkoenig 2012-09-21 08:22:33 UTC
Looks good. Thank you. Go ahead.
Comment 2 takefu 2012-09-21 09:28:14 UTC
sorry!
this PR close.

new PR #171836
Comment 3 Mark Linimon freebsd_committer 2012-10-06 19:54:02 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

rescue from misformatting and note maintainer approval.
Comment 4 Raphael Kubo da Costa freebsd_committer 2012-10-21 10:42:12 UTC
Could you please send the patch as an attachment so it is easier to
fetch and apply?
Comment 5 takefu 2012-10-22 05:15:00 UTC
$B$?$1$U!wBg:eK-Cf$G$9!#(B

The patch is sent by the document attachment.
It changes from the patch sent before a little.

- Trim the headers

Raphael Kubo da Costa $B$5$s$O=q$-$^$7$?(B (2012/10/21 18:42):
> Could you please send the patch as an attachment so it is easier to
> fetch and apply?


-- 
Comment 6 koobs.freebsd 2012-12-02 12:11:49 UTC
I was working on fixing ctypes extension compilation for python on 
FreeBSD with clang when I came across this PR as it was related to libffi.

I couldn't apply the original patches here cleanly, so instead used them 
as the foundation for the one attached to this follow-up, with lots of 
additional changes and testing.

I'll be submitting the included patch-configure upstream to python-core 
to re-enable the _ctypes extension on my FreeBSD python buildbots.

My patch includes:

- Update to 3.0.11
- Update pkg-plist (SHLIB)
- Update MAN3
- Add TESTS optionNG
- Add TEST_DEPENDS and regression-test: target
- Add backup MASTER_SITES mirror
- Remove unnecessary patches
- Update configure patch (CLANG build, see References section)
- Trim Makefile header

Changes: https://github.com/atgreen/libffi/blob/v3.0.11/ChangeLog

====[QA]====
portlint: looks fine.
testport:

Poudriere
------------------------
8.3-RELEASE   amd64   OK
8.3-RELEASE   i386    OK
9.0-RELEASE   amd64   OK (clang)
9.0-RELEASE   amd64   OK (gcc)
9.0-RELEASE   i386    OK (clang)
9.0-RELEASE   i386    OK (gcc)
9.1-RC3       amd64   OK

unittest: (9.0-RELEASE amd64 CC=clang)

# of expected passes            1659
# of unsupported tests          55

=============
References (for updated configure patch)

- http://www.cygwin.com/ml/libffi-discuss/2011/msg00024.html
- https://bugzilla.mozilla.org/show_bug.cgi?id=631928
- https://github.com/atgreen/libffi/issues/21
- https://bugs.gentoo.org/show_bug.cgi?id=417179
=============
Comment 7 takefu 2012-12-03 02:30:46 UTC
$B$?$1$U!wBg:eK-Cf$G$9!#(B

It is good.

Isn't this file unnecessary?
> diff -ruN --exclude=CVS /usr/ports/devel/libffi/libffi-3.0.11.patch ./libffi-3.0.11.patch
> --- /usr/ports/devel/libffi/libffi-3.0.11.patch	1970-01-01 10:00:00.000000000 +1000
> +++ ./libffi-3.0.11.patch	2012-12-02 22:59:05.575958821 +1100
> @@ -0,0 +1 @@
> +===> Generating patch


--
Comment 8 koobs.freebsd 2012-12-13 11:42:50 UTC
Yes it is, accidental leftover when submitting after I created the patch 
for this followup
Comment 9 Jung-uk Kim freebsd_committer 2013-01-29 00:28:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jkim

I'll take it.
Comment 10 dfilter freebsd_committer 2013-01-29 00:35:44 UTC
Author: jkim
Date: Tue Jan 29 00:35:32 2013
New Revision: 311141
URL: http://svnweb.freebsd.org/changeset/ports/311141

Log:
  - Update devel/libffi to 3.0.11.
  - Reset maintainership for libffi.  See ports/164941.
  
  PR:		ports/171768
  Submitted by:	Takefu <takefu@airport.fm>

Deleted:
  head/devel/libffi/files/patch-src_arm_sysv.S
Modified:
  head/UPDATING
  head/devel/gobject-introspection/Makefile
  head/devel/libffi/Makefile
  head/devel/libffi/distinfo
  head/devel/libffi/files/patch-configure
  head/devel/libffi/pkg-plist
  head/devel/lua-alien/Makefile
  head/devel/rubygem-ffi/Makefile
  head/devel/seed/Makefile
  head/lang/ghc/bsd.cabal.mk
  head/lang/gnustep-base/Makefile
  head/lang/librep/Makefile
  head/lang/python27/Makefile
  head/lang/ruby19/Makefile
  head/lang/stklos/Makefile

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/UPDATING	Tue Jan 29 00:35:32 2013	(r311141)
@@ -5,6 +5,20 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130128:
+  AFFECTS: users of libffi
+  AUTHOR jkim@FreeBSD.org
+
+  libffi has been updated to 3.0.11.  Please rebuild all ports that
+  depends on it:
+
+  If you use portmaster:
+        portmaster -w -r libffi
+  If you use portupgrade:
+        portupgrade -fr devel/libffi
+  If you use pkgng with binary packages:
+        pkg install -fR devel/libffi
+
 20130121:
   AFFECTS: users of mail/opensmtpd
   AUTHOR: ashish@FreeBSD.org

Modified: head/devel/gobject-introspection/Makefile
==============================================================================
--- head/devel/gobject-introspection/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/gobject-introspection/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -16,7 +16,7 @@ DIST_SUBDIR=	gnome3
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Generate interface introspection data for GObject libraries
 
-LIB_DEPENDS=	ffi.5:${PORTSDIR}/devel/libffi
+LIB_DEPENDS=	ffi:${PORTSDIR}/devel/libffi
 
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes

Modified: head/devel/libffi/Makefile
==============================================================================
--- head/devel/libffi/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/libffi/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -1,26 +1,38 @@
-# New ports collection makefile for:	libffi
-# Date created:			14, June, 1998
-# Whom:				Horance Chou <horance@freedom.ie.cycu.edu.tw>
-#
+# Created by: Horance Chou <horance@freedom.ie.cycu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	libffi
-PORTVERSION=	3.0.9
+PORTVERSION=	3.0.11
 CATEGORIES=	devel
-MASTER_SITES=	ftp://sourceware.org/pub/libffi/
+MASTER_SITES=	ftp://sourceware.org/pub/libffi/ \
+		http://www.mirrorservice.org/sites/sourceware.org/pub/libffi/
 
-MAINTAINER=	bkoenig@alpha-tierchen.de
+MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Foreign Function Interface
 
+OPTIONS_DEFINE=	TEST
+TEST_DESC=	Run regression test suite
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MTEST}
+BUILD_DEPENDS=	runtest:${PORTSDIR}/misc/dejagnu
+.endif
+
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-USE_GNOME=	gnomehack pkgconfig
+USE_GNOME=	gnomehack
+USE_PKGCONFIG=	build
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
 INFO=		libffi
 
-MAN3=		ffi.3 ffi_call.3 ffi_prep_cif.3
+MAN3=		ffi.3 ffi_call.3 ffi_prep_cif.3 ffi_prep_cif_var.3
+
+.if ${PORT_OPTIONS:MTEST}
+post-build:
+	@cd ${WRKSRC} && ${GMAKE} check
+.endif
 
 post-install:
 	@${LN} -sf ../lib/libffi-${PORTVERSION}/include/ffi.h ${PREFIX}/include/

Modified: head/devel/libffi/distinfo
==============================================================================
--- head/devel/libffi/distinfo	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/libffi/distinfo	Tue Jan 29 00:35:32 2013	(r311141)
@@ -1,2 +1,2 @@
-SHA256 (libffi-3.0.9.tar.gz) = 589d25152318bc780cd8919b14670793f4971d9838dab46ed38c32b3ee92c452
-SIZE (libffi-3.0.9.tar.gz) = 731719
+SHA256 (libffi-3.0.11.tar.gz) = 70bfb01356360089aa97d3e71e3edf05d195599fd822e922e50d46a0055a6283
+SIZE (libffi-3.0.11.tar.gz) = 794220

Modified: head/devel/libffi/files/patch-configure
==============================================================================
--- head/devel/libffi/files/patch-configure	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/libffi/files/patch-configure	Tue Jan 29 00:35:32 2013	(r311141)
@@ -1,21 +1,11 @@
---- configure.orig	2010-11-22 12:53:14.000000000 +0100
-+++ configure	2010-11-22 12:53:26.000000000 +0100
-@@ -12231,6 +12231,9 @@
-   powerpc-*-freebsd*)
- 	TARGET=POWERPC_FREEBSD; TARGETDIR=powerpc
- 	;;
-+  powerpc64-*-freebsd*)
-+        TARGET=POWERPC; TARGETDIR=powerpc
-+        ;;
-   powerpc*-*-rtems*)
- 	TARGET=POWERPC; TARGETDIR=powerpc
- 	;;
-@@ -14484,7 +14487,7 @@
+--- configure.orig	2013-01-11 13:46:23.000000000 -0500
++++ configure	2013-01-11 13:46:50.000000000 -0500
+@@ -14254,7 +14254,7 @@
  
  	libffi_cv_as_x86_pcrel=yes
  	echo '.text; foo: nop; .data; .long foo-.; .text' > conftest.s
--	if $CC $CFLAGS -c conftest.s 2>&1 | grep -i warning > /dev/null; then
-+	if $CC -c conftest.s 2>&1 | grep -i warning > /dev/null; then
+-	if $CC $CFLAGS -c conftest.s 2>&1 | $EGREP -i 'illegal|warning' > /dev/null; then
++	if $CC -c conftest.s 2>&1 | $EGREP -i 'illegal|warning' > /dev/null; then
  	    libffi_cv_as_x86_pcrel=no
  	fi
  

Modified: head/devel/libffi/pkg-plist
==============================================================================
--- head/devel/libffi/pkg-plist	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/libffi/pkg-plist	Tue Jan 29 00:35:32 2013	(r311141)
@@ -5,7 +5,7 @@ lib/libffi-%%PORTVERSION%%/include/ffita
 lib/libffi.a
 lib/libffi.la
 lib/libffi.so
-lib/libffi.so.5
+lib/libffi.so.6
 libdata/pkgconfig/libffi.pc
 @dirrm lib/libffi-%%PORTVERSION%%/include
 @dirrm lib/libffi-%%PORTVERSION%%

Modified: head/devel/lua-alien/Makefile
==============================================================================
--- head/devel/lua-alien/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/lua-alien/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -18,7 +18,7 @@ COMMENT=	Lua -> C FFI
 
 LICENSE=	MIT
 
-LIB_DEPENDS=	ffi.5:${PORTSDIR}/devel/libffi
+LIB_DEPENDS=	ffi:${PORTSDIR}/devel/libffi
 
 USE_LUA=	5.1
 

Modified: head/devel/rubygem-ffi/Makefile
==============================================================================
--- head/devel/rubygem-ffi/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/rubygem-ffi/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -13,7 +13,7 @@ MASTER_SITES=	RG
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Extension for dynamic libraries & binding functions
 
-LIB_DEPENDS=	ffi.5:${PORTSDIR}/devel/libffi
+LIB_DEPENDS=	ffi:${PORTSDIR}/devel/libffi
 
 USE_RUBY=	yes
 USE_RAKE=	yes

Modified: head/devel/seed/Makefile
==============================================================================
--- head/devel/seed/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/devel/seed/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -20,7 +20,7 @@ MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	GObject JavaScriptCore bridge
 
 BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/gnome-js-common.pc:${PORTSDIR}/devel/gnome-js-common
-LIB_DEPENDS=	ffi.5:${PORTSDIR}/devel/libffi \
+LIB_DEPENDS=	ffi:${PORTSDIR}/devel/libffi \
 		webkitgtk-1.0.0:${PORTSDIR}/www/webkit-gtk2 \
 		girepository-1.0.1:${PORTSDIR}/devel/gobject-introspection \
 		dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib \

Modified: head/lang/ghc/bsd.cabal.mk
==============================================================================
--- head/lang/ghc/bsd.cabal.mk	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/ghc/bsd.cabal.mk	Tue Jan 29 00:35:32 2013	(r311141)
@@ -84,7 +84,7 @@ USE_BINUTILS=	yes
 USE_GCC=	4.6+
 
 .if ${PORT_OPTIONS:MDYNAMIC}
-LIB_DEPENDS+=	ffi.5:${PORTSDIR}/devel/libffi
+LIB_DEPENDS+=	ffi:${PORTSDIR}/devel/libffi
 .endif
 
 CONFIGURE_ARGS+=	--with-gcc=${CC} --with-ld=${LD} --with-ar=${AR} \

Modified: head/lang/gnustep-base/Makefile
==============================================================================
--- head/lang/gnustep-base/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/gnustep-base/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -14,7 +14,7 @@ MASTER_SITE_SUBDIR=	core
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	GNUstep Foundation library
 
-LIB_DEPENDS+=	ffi.5:${PORTSDIR}/devel/libffi
+LIB_DEPENDS+=	ffi:${PORTSDIR}/devel/libffi
 LIB_DEPENDS+=	xml2.5:${PORTSDIR}/textproc/libxml2
 LIB_DEPENDS+=	xslt.2:${PORTSDIR}/textproc/libxslt
 LIB_DEPENDS+=	gmp.10:${PORTSDIR}/math/gmp

Modified: head/lang/librep/Makefile
==============================================================================
--- head/lang/librep/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/librep/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -16,7 +16,7 @@ COMMENT=	An Emacs Lisp like runtime libr
 LICENSE=	GPLv2
 
 LIB_DEPENDS=	gdbm.4:${PORTSDIR}/databases/gdbm \
-		ffi.5:${PORTSDIR}/devel/libffi \
+		ffi:${PORTSDIR}/devel/libffi \
     		gmp.10:${PORTSDIR}/math/gmp
 RUN_DEPENDS=	gtar:${PORTSDIR}/archivers/gtar
 

Modified: head/lang/python27/Makefile
==============================================================================
--- head/lang/python27/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/python27/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -95,7 +95,7 @@ PLIST_SUB+=	THREADS=""
 CONFIGURE_ARGS+=	--with-pth --with-system-ffi
 EXTRA_PATCHES+=		${PATCHDIR}/extra-patch-configure-pth
 LIB_DEPENDS+=		pth:${PORTSDIR}/devel/pth \
-			ffi.5:${PORTSDIR}/devel/libffi
+			ffi:${PORTSDIR}/devel/libffi
 _PTH_CPPFLAGS=		"-I${LOCALBASE}/include/pth"
 _PTH_LDFLAGS=		"-L${LOCALBASE}/lib/pth"
 CPPFLAGS:=		${_PTH_CPPFLAGS} ${CPPFLAGS}

Modified: head/lang/ruby19/Makefile
==============================================================================
--- head/lang/ruby19/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/ruby19/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -14,7 +14,7 @@ DIST_SUBDIR=	ruby
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT?=	An object-oriented interpreted scripting language
 
-LIB_DEPENDS=	ffi.5:${PORTSDIR}/devel/libffi \
+LIB_DEPENDS=	ffi:${PORTSDIR}/devel/libffi \
 		yaml-0.2:${PORTSDIR}/textproc/libyaml \
 		execinfo.1:${PORTSDIR}/devel/libexecinfo
 

Modified: head/lang/stklos/Makefile
==============================================================================
--- head/lang/stklos/Makefile	Mon Jan 28 23:55:00 2013	(r311140)
+++ head/lang/stklos/Makefile	Tue Jan 29 00:35:32 2013	(r311141)
@@ -17,7 +17,7 @@ COMMENT=	The successor of the STk Scheme
 
 LIB_DEPENDS=	gmp.10:${PORTSDIR}/math/gmp \
 		pcre.3:${PORTSDIR}/devel/pcre \
-		ffi.5:${PORTSDIR}/devel/libffi \
+		ffi:${PORTSDIR}/devel/libffi \
 		gc-threaded.1:${PORTSDIR}/devel/boehm-gc-threaded
 
 ONLY_FOR_ARCHS=	i386 amd64
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Jung-uk Kim freebsd_committer 2013-01-29 00:36:48 UTC
State Changed
From-To: open->closed

Committed (with some changes), thanks!